2018-09-23 14:03 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004602Kali Linux[All Projects] Kali Package Bugpublic2018-03-06 08:33
Reportersubinacls 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2018.1 
Target VersionFixed in Version2018.2 
Summary0004602: inetsim pem key file is owned by root user
DescriptionTested from kali uname -
    Linux **HOSTNAME**
        4.12.0-kali1-amd64 0000001 SMP
        Debian 4.12.6-1kali6 (2017-08-30) x86_64 GNU/Linux

The root user owns the inetsim pem file mentioned below-

    /usr/share/inetsim/data/certs/default_key.pem

this will cause an error and exit apt-get even if --force-yes -y --assume-yes or other variation is used to continue / accept defaults

    apt-get update, apt-get dist-upgrade

The apt-get fails when attempting to access the previously mentioned file used by inetsim and exists the process. This can vbe an issue when dealing with scripted actions. The fix for this error would be to `chmod` the file and reassign the owner to `inetsim` as shown below.

    chown inetsim /usr/share/inetsim/data/certs/default_key.pem

After the user is assigned the owner of the file, apt-get continues with no issues.
Steps To Reproduceapt-get update, apt-get upgrade, apt-get dist-upgrade
Attached Files

-Relationships
+Relationships

-Notes

~0008862

sbrun (manager)

fixed in version 1.2.7+dfsg.1-1kali1
+Notes

-Issue History
Date Modified Username Field Change
2018-03-05 22:48 subinacls New Issue
2018-03-06 08:33 sbrun Status new => resolved
2018-03-06 08:33 sbrun Resolution open => fixed
2018-03-06 08:33 sbrun Fixed in Version => 2018.2
2018-03-06 08:33 sbrun Description Updated View Revisions
2018-03-06 08:33 sbrun Note Added: 0008862
+Issue History